Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ActivationConfigPropertyTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ActivationConfigPropertyTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ActivationConfigPropertyType<T>

    public class ActivationConfigPropertyTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ActivationConfigPropertyType<T>

This class implements the `activation-config-propertyType` xsd type

Original Documentation:

The activation-config-propertyType contains a name/value
configuration property pair for a message-driven bean.
The properties that are recognized for a particular
message-driven bean are determined by the messaging type.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ActivationConfigPropertyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ActivationConfigPropertyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getActivationConfigPropertyName()` Returns the `activation-config-property-name` element
`java.lang.String` | `getActivationConfigPropertyValue()` Returns the `activation-config-property-value` element
`ActivationConfigPropertyType<T>` | `removeActivationConfigPropertyName()` Removes the `activation-config-property-name` element
`ActivationConfigPropertyType<T>` | `removeActivationConfigPropertyValue()` Removes the `activation-config-property-value` element
`ActivationConfigPropertyType<T>` | `setActivationConfigPropertyName(java.lang.String activationConfigPropertyName)` If not already created, a new `activation-config-property-name` element with the given value will be created.
`ActivationConfigPropertyType<T>` | `setActivationConfigPropertyValue(java.lang.String activationConfigPropertyValue)` If not already created, a new `activation-config-property-value` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivationConfigPropertyTypeImpl

    public ActivationConfigPropertyTypeImpl(T t,
                                            java.lang.String nodeName,
                                            org.jboss.shrinkwrap.descriptor.spi.Node node)

### ActivationConfigPropertyTypeImpl

    public ActivationConfigPropertyTypeImpl(T t,
                                            java.lang.String nodeName,
                                            org.jboss.shrinkwrap.descriptor.spi.Node node,
                                            org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setActivationConfigPropertyName

    public ActivationConfigPropertyType<T> setActivationConfigPropertyName(java.lang.String activationConfigPropertyName)

  If not already created, a new `activation-config-property-name` element with the given value will be created. Otherwise, the existing `activation-config-property-name` element will be updated with the given value.

  Specified by:
    `setActivationConfigPropertyName` in interface `ActivationConfigPropertyType<T>`
  Returns:
    the current instance of `ActivationConfigPropertyType`

### removeActivationConfigPropertyName

    public ActivationConfigPropertyType<T> removeActivationConfigPropertyName()

  Removes the `activation-config-property-name` element

  Specified by:
    `removeActivationConfigPropertyName` in interface `ActivationConfigPropertyType<T>`
  Returns:
    the current instance of `ActivationConfigPropertyType`

### getActivationConfigPropertyName

    public java.lang.String getActivationConfigPropertyName()

  Returns the `activation-config-property-name` element

  Specified by:
    `getActivationConfigPropertyName` in interface `ActivationConfigPropertyType<T>`
  Returns:
    the node defined for the element `activation-config-property-name`

### setActivationConfigPropertyValue

    public ActivationConfigPropertyType<T> setActivationConfigPropertyValue(java.lang.String activationConfigPropertyValue)

  If not already created, a new `activation-config-property-value` element with the given value will be created. Otherwise, the existing `activation-config-property-value` element will be updated with the given value.

  Specified by:
    `setActivationConfigPropertyValue` in interface `ActivationConfigPropertyType<T>`
  Returns:
    the current instance of `ActivationConfigPropertyType`

### removeActivationConfigPropertyValue

    public ActivationConfigPropertyType<T> removeActivationConfigPropertyValue()

  Removes the `activation-config-property-value` element

  Specified by:
    `removeActivationConfigPropertyValue` in interface `ActivationConfigPropertyType<T>`
  Returns:
    the current instance of `ActivationConfigPropertyType`

### getActivationConfigPropertyValue

    public java.lang.String getActivationConfigPropertyValue()

  Returns the `activation-config-property-value` element

  Specified by:
    `getActivationConfigPropertyValue` in interface `ActivationConfigPropertyType<T>`
  Returns:
    the node defined for the element `activation-config-property-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD